{ pkgs, config, ... }: {
  boot = {
    tmp = {
      useTmpfs = true;
      tmpfsSize = "50%";
    };
    kernelModules = [ "kvm-intel" ];
    extraModulePackages = with config.boot.kernelPackages; [ xpadneo ];
    extraModprobeConfig = '' options bluetooth disable_ertm=1 '';

    initrd = {
    
    # OLD CONFIG
    # NAME                                           FSTYPE      FSVER LABEL UUID                                 FSAVAIL FSUSE% MOUNTPOINTS
    # nvme0n1
    #  └─nvme0n1p1                                   crypto_LUKS 2           e174181f-828c-44fd-97c1-0e2fdc2322e5
    #    └─luks-e174181f-828c-44fd-97c1-0e2fdc2322e5 btrfs             home  f8ed950a-5cc9-4b87-901c-4cfece6daf6c    3.3T     9% /home
    #  luks.devices."luks-e174181f-828c-44fd-97c1-0e2fdc2322e5".device = "/dev/disk/by-uuid/e174181f-828c-44fd-97c1-0e2fdc2322e5";
    #  nvme1n1
    #  ├─nvme1n1p1                                   vfat        FAT32       D19B-1967                               4.3G     3% /boot
    #  ├─nvme1n1p2                                   crypto_LUKS 2           300fdb2a-d887-4e53-bc97-9fdc123856ce
    #  │ └─luks-300fdb2a-d887-4e53-bc97-9fdc123856ce swap        1     swap  66b9e1f6-1fc5-4c32-afc7-724880504495                [SWAP]
    #  luks.devices."luks-300fdb2a-d887-4e53-bc97-9fdc123856ce".device = "/dev/disk/by-uuid/300fdb2a-d887-4e53-bc97-9fdc123856ce";
    #  └─nvme1n1p3                                   crypto_LUKS 2           e69c5d63-f5a7-4cb1-a858-4e6396d8def7
    #    └─luks-e69c5d63-f5a7-4cb1-a858-4e6396d8def7 btrfs             root  f53b22d4-df74-4ee0-9f85-3fb0eb087150                /nix/store
    #  luks.devices."luks-e69c5d63-f5a7-4cb1-a858-4e6396d8def7".device = "/dev/disk/by-uuid/e69c5d63-f5a7-4cb1-a858-4e6396d8def7";

    # NEW CONFIG
    # nvme0n1
    #  └─nvme0n1p1   crypto_LUKS 2                                           1976c849-c317-46c0-af98-d2dfc455c489
    #    └─crypthome btrfs                        home                       c63ca365-e963-4ea4-bb71-ed1c7e1b6bc8                /mnt/home
    #  luks.devices."crypthome".device = "/dev/disk/by-uuid/1976c849-c317-46c0-af98-d2dfc455c489";
    # nvme1n1
    #  ├─nvme1n1p1   vfat        FAT32                                       CDA0-8838                               4.4G     0% /mnt/boot
    #  └─nvme1n1p2   crypto_LUKS 2                                           e948662c-ae57-46aa-b7bf-cc09dbaa8cdb
    #    └─cryptroot btrfs                        nixos                      77021dd1-9fa5-4e9f-9be2-ba943e6de77c  925.1G     0% /mnt/var/log
    #                                                                                                                            /mnt/persist
    #                                                                                                                            /mnt/nix
    #                                                                                                                            /mnt
      luks.devices."cryptroot" = {
        device = "/dev/disk/by-partlabel/luks";
        allowDiscards = true;
      };

      kernelModules = [ ];

      availableKernelModules = [ "nvme" "xhci_pci" "thunderbolt" "usb_storage" "sd_mod" ];

    };
  };
}

